with GNATCOM.Dispinterface;

package MSHTML.IHTMLOptionButtonElement_Interface is

   type IHTMLOptionButtonElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLOptionButtonElement_Type);

   function Pointer (This : IHTMLOptionButtonElement_Type)
     return Pointer_To_IHTMLOptionButtonElement;

   procedure Attach (This    : in out IHTMLOptionButtonElement_Type;
                     Pointer : in     Pointer_To_IHTMLOptionButtonElement);

   procedure Put_value
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_value
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_type
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_checked
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_checked
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_defaultChecked
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_defaultChecked
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_onchange
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_status
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_status
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_indeterminate
     (This : IHTMLOptionButtonElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_indeterminate
     (This : IHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_form
     (This : IHTMLOptionButtonElement_Type)
     return Pointer_To_IHTMLFormElement;

end MSHTML.IHTMLOptionButtonElement_Interface;

